<form name="form" novalidate autocomplete="off">

	<div id="top_of_dialog">
		<strong ng-show="mode == 'new'">Nuova Configurazione Notifica</strong>
		<strong ng-show="mode != 'new'">Modifica Configurazione Notifica</strong>
	</div>

	<div style="margin-top: 15px">
		<table class="table table-bordered blockContainer showInlineTable">
			<tbody>
				<tr>
					<td class="">
						<label class="muted pull-right marginRight10px">
							DSP
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10">
								<div class="input-large">
									<div ng-dropdown-multiselect="" options="ctrl.dsps" selected-model="alert.dsps"
										checkboxes="false" extra-settings="ctrl.dspSelectSettings">
									</div>
								</div>
							</span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="">
						<label class="muted pull-right marginRight10px">
							Claim in Errore
						</label>
					</td>
					<td class="fieldValue medium">
						<md-switch class="md-primary" ng-model="alert.failedClaim" style="margin:0px"
							id="setting-input-failedClaim">
						</md-switch>
					</td>
				</tr>
				<tr>
					<td class="">
						<label class="muted pull-right marginRight10px">
							Claim Terminato
						</label>
					</td>
					<td class="fieldValue medium">
						<md-switch class="md-primary" ng-model="alert.completedClaim" style="margin:0px"
							id="setting-input-completedClaim">
						</md-switch>
					</td>
				</tr>
				<tr>
					<td class="">
						<label class="muted pull-right marginRight10px">
							CCID Negativo
						</label>
					</td>
					<td class="fieldValue medium">
						<md-switch class="md-primary" ng-model="alert.negativeClaim" style="margin:0px"
							id="setting-input-negativeClaim">
						</md-switch>
					</td>
				</tr>
				<tr>
					<td class="">
						<label class="muted pull-right marginRight10px">
							Indirizzi
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid" ng-repeat="address in alert.addresses">
							<span>
								<input style="height: 30px;" name="mail{{address.id}}" type="email"
									ng-model="address.value">
							</span>
							<span style="margin-top: 8px; margin-left: 5px;" class="glyphicon glyphicon-plus"
								ng-click="alert.addAddress()" ng-show="$last"></span>
							<span style="margin-top: 8px; margin-left: 5px;" class="glyphicon glyphicon-trash"
								ng-click="alert.removeAddress(address)" ng-show="!$last"></span>
							<span style="margin-top: 8px; margin-left: 5px;" class="glyphicon glyphicon-thumbs-down"
								ng-show="form.mail{{address.id}}.$error.email"></span>
						</div>
					</td>
				</tr>
			</tbody>
		</table>
	</div>

	<div style="margin-top: 15px">
		<table width="100%">
			<tr>
				<td>
					<button type="button" class="btn addButton" ng-click="cancel()">
						<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
					</button>
				</td>
				<td align="right">
					<div ng-if="mode=='new'">
						<button ng-disabled="alert.dsps.length == 0 || form.$invalid || !form.$dirty"
							class="btn addButton" ng-click="save()">
							<span class="glyphicon glyphicon-plus"></span>&nbsp;&nbsp;<strong>Aggiungi</strong>
						</button>
					</div>
					<div ng-if="mode=='edit'">
						<button ng-disabled="alert.dsps.length == 0 || form.$invalid"
							class="btn addButton" ng-click="save()">
							<span class="glyphicon glyphicon-save"></span>&nbsp;&nbsp;<strong>Aggiorna</strong>
						</button>
					</div>
				</td>
			</tr>
		</table>
	</div>
</form>


<script type="text/ng-template" id="errorDialogId">
		<div id="target"  >
			<strong>{{ngDialogData}}</strong>
		</div>
</script>

<script type="text/javascript">
	$('#top_of_dialog')[0].scrollIntoView(true);
</script>